Bug 160588 - fc4 rc.sysinit segmentation fault after clean install
fc4 rc.sysinit segmentation fault after clean install
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-15 18:35 EDT by pete
Modified: 2015-01-04 17:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-10 02:54:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pete 2005-06-15 18:35:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
after a clean install of fedora core 4 i get:

/etc/rc.d/rc.sysinit: line 165: 901 Segmentation fault  modprobe $1 >/dev/null 2>&1

i used 'nousb noprobe' as kernel command line arguments because it otherwise hangs on boot. 

Version-Release number of selected component (if applicable):
initscripts-8.11.1-1

How reproducible:
Always

Steps to Reproduce:
1.install fedora core 4
2.at grub, edit command arguments to 'nousb noprobe'
3.continue with boot.
  

Actual Results:  /etc/rc.d/rc.sysinit: line 165: 901 Segmentation fault  modprobe $1 >/dev/null 2>&1

Expected Results:  normal boot

Additional info:

dell dimension 2300
Comment 1 Bill Nottingham 2005-06-16 13:10:51 EDT
modprobe segfaulting implies the kernel oopsed.
Comment 2 Dave Jones 2005-07-15 17:11:38 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 3 pete 2005-07-17 19:59:43 EDT
upgraded to the new kernel as instructed (after much hugabaloo w/rpm complaining
about scriplet error and finding that it was a problem w/selinux)...got the same
error:

/etc/rc.d/rc.sysinit: line 165: 898 Segmentation fault modprobe $1 >/dev/null 2>&1
Comment 4 Dan Carpenter 2005-07-18 04:13:05 EDT
> modprobe $1

It's modprobing a module here...  Do you have any idea what module that is?

Reboot and edit your GRUB command line.  Remove the quiet and see if there are
error messages.  Also you could take a look in /var/log/messages and see if
there are kernel error messages in there.



Comment 5 pete 2005-07-18 19:57:40 EDT
tulip module.  

was not booting quiet.  no messages listed in either place.  
Comment 6 Dave Jones 2005-08-04 01:37:55 EDT
after its segfaulted, can you attach the output of dmesg ?
When modprobe segfaults, it usually leaves a kernel oops in the log.
Comment 7 Dave Jones 2005-09-29 21:35:25 EDT
is this still happening with the latest errata ?
Comment 8 pete 2005-10-12 20:18:25 EDT
(In reply to comment #7)
> is this still happening with the latest errata ?
> 

Sorry, cannot answer the question as far as latest errata.  did an clean install
of fc2 that i had, recomiled a vanilla kernel and did a yum upgrade w/no
additional probs.  again, i think it was the tulip module as i have had probs
before w/ redhat upgrades changing it from tulip to etherfast, and then back again. 

was unable to get any error messages as the boot stopped and was unable to use a
crossover cable to output the boot error messages.  
Comment 9 Dave Jones 2005-11-10 14:16:19 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.